logo
DATABASE RESOURCES PRICING ABOUT US

CVE-2021-34593

Description

In CODESYS V2 Runtime Toolkit 32 Bit full and PLCWinNT prior to versions V2.4.7.56 unauthenticated crafted invalid requests may result in several denial-of-service conditions. Running PLC programs may be stopped, memory may be leaked, or further communication clients may be blocked from accessing the PLC.


Affected Software


CPE Name Name Version
codesys:plcwinnt codesys plcwinnt 2.4.7.56
codesys:runtime_toolkit codesys runtime toolkit 2.4.7.56

Related